import request from '@/utils/request'
// 订单付款获取用户详细信息
export function getSysDeptInfo(query) {
  return request({
    url: '/system/goodsPayment/getSysDeptInfo',
	params: query,
    method: 'get'
  })
}
//查询手机号信息
export function queryTBusPhone(query) {
	return request({
		url: '/system/tBusGameBindingPhone/list',
		method: 'post',
		params: query
	})
}
// 订单结算获取用户详细信息
export function getDeptInfo() {
  return request({
    url: '/system/goodsPayment/getDeptInfo',
    method: 'get'
  })
}
// 获取店铺信息
export function getShopInfo(id) {
  return request({
    url: '/system/Bushop/'+id,
    method: 'get'
  })
}
// 修改店铺信息
export function shopEdit(data) {
  return request({
    url: '/system/Bushop',
    method: 'put',
	data: data
  })
}
// 获取用户详细信息
export function getInfo() {
  return request({
    url: '/system/user/getInfo',
    method: 'get'
  })
}
// 查询店铺信息列表
// export function listpartner(data) {
//   return request({
//     url: '/system/goodsNotice/list',
//     method: 'post',
//     data: data
//   })
// }
//查询账号信息
export function accountMonitoring(query) {
  return request({
    url: '/system/accountStockpile/sold/list',
    method: 'post',
    params: query
  })
}
//修改账号信息
export function edit(data) {
  return request({
    url: '/system/accountStockpile/edit',
    method: 'put',
    data: data
  })
}
//新增账号信息
export function add(data) {
  return request({
    url: '/system/accountStockpile/add',
    method: 'post',
    data: data
  })
}


// 删除店铺信息
export function deleteMonitoring(id) {
  return request({
    url: '/system/accountStockpile/remove/'+id,
    method: 'delete',
  })
}
// 查看账号信息
export function view(id) {
  return request({
    url: '/system/accountStockpile/getGameAccountStockpile/'+id,
    method: 'post',
  })
}

